Macaulay2 » Documentation
Packages » Schubert2 :: dual(AbstractSheaf)
next | previous | forward | backward | up | index | toc

# dual(AbstractSheaf) -- the dual of an abstract sheaf

- Function: dual
- Usage:
    `dual F`
- Inputs:
  - F, an abstract sheaf,
- Outputs:
  - an abstract sheaf, the dual of F

## Description

    i1 : X = abstractProjectiveSpace' 1

    o1 = X

    o1 : a flag bundle with subquotient ranks {2:1}

    i2 : dual OO_X(-1)

    o2 = a sheaf

    o2 : an abstract sheaf of rank 1 on X

    i3 : chi oo

    o3 = 2

## See also

- Hom(AbstractSheaf,AbstractSheaf) -- Hom between abstract sheaves

## Ways to use this method:

- dual(AbstractSheaf) -- the dual of an abstract sheaf

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Schubert2.m2:1857:0.